## Class ClassDeclId

    java.lang.Object
      |
      +--ClassDeclId

public class ClassDeclId
extends java.lang.Object

Field Summary
`private java.lang.String` `classname`
`private Modifiers` `modifiers`

Constructor Summary
`ClassDeclId()`

Method Summary
`short` `get_access_flags()`
`java.lang.String` `get_classname()`
`Modifiers` `get_Modifiers()`
`void` `set_classname(java.lang.String classname)`
`void` `set_Modifiers(Modifiers mod)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modifiers

    private Modifiers modifiers

### classname

    private java.lang.String classname

Constructor Detail

### ClassDeclId

    public ClassDeclId()

Method Detail

### set_classname

    public void set_classname(java.lang.String classname)

### get_classname

    public java.lang.String get_classname()

### set_Modifiers

    public void set_Modifiers(Modifiers mod)

### get_Modifiers

    public Modifiers get_Modifiers()

### get_access_flags

    public short get_access_flags()